Support How to Officially upgrade to v2.1 ?

Discussion in 'Android Devices' started by clicker, Jun 22, 2010.

  1. clicker

    clicker Active Member
    16

    Jun 22, 2010
    31
    2
    16
    How can I upgrade the i5700 to Android v2.1 officially ? .. I Tried NPS and Kies, but nothing works.

    These are the outcomes in each software:

    Kies(latest): Phone does not even connect(Phone not found)

    NPS(1.3): Phone connects, but says that this device is not supported(in the upgrade window)

    NPS(1.5): Phone connect, but says that this device does not need an upgrade

    ...I have v1.5 right now, and I dont wish to upgrade it through ODIN(and all that stuff)

    ...thanks
     

    Advertisement

  2. yah5

    yah5 Active Member
    16

    Jun 23, 2010
    28
    2
    16
    clicker likes this.
  3. clicker

    clicker Active Member
    16

    Jun 22, 2010
    31
    2
    16
    Thanks for that link, I think I'll have to go this way then...where can I get the list of Countries who are blessed with the official update?...(I live in Middle East)
     
  4. yah5

    yah5 Active Member
    16

    Jun 23, 2010
    28
    2
    16
    Lol wallah? Salam, I'm from Kuwait.

    Yeah no Middle East countries will get the official 2.1 update because 2.1 doesn't official support arabic. If you do update to 2.1 you'll get a bunch of squares or broken arabic like the letters don't connect, it's all capitalized letters and it looks really weird and it's hard to read. If you can live without it then go for the update.
     
  5. clicker

    clicker Active Member
    16

    Jun 22, 2010
    31
    2
    16
    ok, thanks....so which firmware should I install? Asian version? or what?..any links?......thanks in advance
     
  6. yah5

    yah5 Active Member
    16

    Jun 23, 2010
    28
    2
    16
    Use the same one that's in the link that I posted. Followed that guide with all the download links for it on the page and it worked great.
     
  7. clicker

    clicker Active Member
    16

    Jun 22, 2010
    31
    2
    16
    yeah, thanks..I asked him too, he says there is no problem in installing any other version..(except the language, which I dont need)
     

Share This Page

Loading...